Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.impl.model
Class OWLDataSomeRestrictionImpl

    java.lang.Object
      |
      +--org.semanticweb.owl.impl.model.OWLObjectImpl
            |
            +--org.semanticweb.owl.impl.model.OWLDataRestrictionImpl
                  |
                  +--org.semanticweb.owl.impl.model.OWLDataQuantifiedRestrictionImpl
                        |
                        +--org.semanticweb.owl.impl.model.OWLDataSomeRestrictionImpl

All Implemented Interfaces:
  Cloneable, OWLDataQuantifiedRestriction, OWLDataRestriction, OWLDataSomeRestriction, OWLDescription, OWLObject, OWLRestriction, Serializable

public class OWLDataSomeRestrictionImpl
extends OWLDataQuantifiedRestrictionImpl
implements OWLDataSomeRestriction

An existentially quantified restriction over a datatype property. The semantics of this expression is the collection of objects, all of which have a filler for the given role (`getDataProperty`) which is an element of the given datatype (`getDataType`).

Version:
  $Id: OWLDataSomeRestrictionImpl.java,v 1.1.1.1 2003/10/14 17:10:14 sean_bechhofer Exp $
See Also:
  Serialized Form

Constructor Summary
`OWLDataSomeRestrictionImpl(OWLDataFactoryImpl factory, OWLDataProperty property, OWLDataRange dataType)`

Method Summary
`void` | `accept(OWLDescriptionVisitor visitor)` Accept a visit from a visitor
`void` | `accept(OWLObjectVisitor visitor)` Accept a visit from a visitor

Methods inherited from class org.semanticweb.owl.impl.model.OWLDataQuantifiedRestrictionImpl
`getDataType`

Methods inherited from class org.semanticweb.owl.impl.model.OWLDataRestrictionImpl
`getDataProperty, getProperty`

Methods inherited from class org.semanticweb.owl.impl.model.OWLObjectImpl
`clone, getAnnotations, getAnnotations, getContainedObjects, getMetadata, getOWLConnection, getOWLDataFactory`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.semanticweb.owl.model.OWLDataQuantifiedRestriction
`getDataType`

Methods inherited from interface org.semanticweb.owl.model.OWLDataRestriction
`getDataProperty`

Methods inherited from interface org.semanticweb.owl.model.OWLRestriction
`getProperty`

Methods inherited from interface org.semanticweb.owl.model.OWLObject
`clone, getAnnotations, getAnnotations, getContainedObjects, getMetadata, getOWLConnection, getOWLDataFactory`

Constructor Detail

### OWLDataSomeRestrictionImpl

    public OWLDataSomeRestrictionImpl(OWLDataFactoryImpl factory,
                                      OWLDataProperty property,
                                      OWLDataRange dataType)

Method Detail

### accept

    public void accept(OWLObjectVisitor visitor)
                throws OWLException

  Description copied from interface: `OWLObject`
  Accept a visit from a visitor

  Specified by:
    `accept` in interface `OWLObject`
  Specified by:
    `accept` in class `OWLObjectImpl`
    `OWLException`

### accept

    public void accept(OWLDescriptionVisitor visitor)
                throws OWLException

  Description copied from interface: `OWLDescription`
  Accept a visit from a visitor

  Specified by:
    `accept` in interface `OWLDescription`
    `OWLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb